import { ChainContext } from '@wormhole-foundation/sdk-connect';
import { SolanaAddress } from './address.js';
export class SolanaChain extends ChainContext {
    async getTokenAccount(address, token) {
        const { getAssociatedTokenAddress } = await import('@solana/spl-token');
        const mint = new SolanaAddress(token).unwrap();
        const owner = new SolanaAddress(address).unwrap();
        const ata = await getAssociatedTokenAddress(mint, owner);
        return {
            chain: this.chain,
            address: new SolanaAddress(ata.toString()),
        };
    }
}
//# sourceMappingURL=chain.js.map